varying lowp vec4 v_tint;
varying lowp vec3 v_glow;
varying highp vec2 v_texCoord;
varying mediump vec2 v_texWater1;
varying mediump vec2 v_texWater2;

uniform sampler2D CC_Texture00;
uniform sampler2D CC_Texture01;
uniform sampler2D CC_Texture02;
uniform sampler2D CC_Texture03;

void main()
{
	vec3 pixelRgb = texture2D(CC_Texture00, v_texCoord).rgb;
	float pixelAlpha = texture2D(CC_Texture01, v_texCoord).r;
	vec3 water1Rgb = texture2D(CC_Texture02, v_texWater1).rgb;
	float water1Alpha = texture2D(CC_Texture03, v_texWater1).r;
	vec3 water2Rgb = texture2D(CC_Texture02, v_texWater2).rgb;
	float water2Alpha = texture2D(CC_Texture03, v_texWater2).r;
	float percent = water2Alpha / (water1Alpha + water2Alpha);
	vec3 water = mix(water1Rgb, water2Rgb, percent);
	float waterA = (water1Alpha + water2Alpha) * 0.5;
	vec3 waterPixel = vec3((water * waterA) + (pixelRgb * (1.0 - waterA)));
	vec3 white = vec3(1.0, 1.0, 1.0);
	vec3 tinted = v_tint.rgb * waterPixel;
	vec3 mixed = mix(tinted.rgb, white, v_glow);
	
	gl_FragColor = vec4(mixed, pixelAlpha * v_tint.a);
}
