#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_position;

uniform sampler2D CC_Texture00;

#define CloudUnit0 CC_Texture00

uniform vec3 CC_Tint;

vec3 getPureCloudPixel()
{
    vec4 cloudPixel = texture2D(CloudUnit0, v_position);
    vec3 cloudComponent = cloudPixel.rgb * cloudPixel.a;
    vec3 landComponent = vec3(0.87, 0.93, 0.92) * (1.0 - cloudPixel.a);
    vec3 combined = cloudComponent + landComponent;
    
    return combined;
}

void main()
{
    vec4 pixel = vec4(getPureCloudPixel(), 1.0);
    pixel.rgb = (CC_Tint * pixel.rgb) * pixel.a;
    gl_FragColor = pixel;
}