varying lowp vec4 v_tint;
varying lowp vec3 v_glow;
varying highp vec2 v_texCoord;
varying mediump vec2 v_texWater1;
varying mediump vec2 v_texWater2;

uniform sampler2D CC_Texture00;
uniform sampler2D CC_Texture01;

void main()
{
	vec4 pixel = texture2D(CC_Texture00, v_texCoord);
	vec4 water1 = texture2D(CC_Texture01, v_texWater1);
	vec4 water2 = texture2D(CC_Texture01, v_texWater2);
	float percent = water2.a / (water1.a + water2.a);
	vec3 water = mix(water1.rgb, water2.rgb, percent);
	float waterA = (water1.a + water2.a) * 0.5;
	vec3 waterPixel = vec3((water * waterA) + (pixel.rgb * (1.0 - waterA)));
	vec3 white = vec3(1.0, 1.0, 1.0);
	vec3 tinted = v_tint.rgb * waterPixel;
	vec3 mixed = mix(tinted.rgb, white, v_glow);
	
	gl_FragColor = vec4(mixed, pixel.a * v_tint.a);
}
